/*Universal Styles*/
.roboto {
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400; /* Change this to desired weight (100–900) */
    font-style: normal;
    font-variation-settings: "width" 100;
}

.island-moments-regular {
    font-family: "Island Moments", cursive;
    font-weight: 400;
    font-style: normal;
}
body{
    margin: 1vw;
    padding: 1vw;
    font-family: 'Island Moments', cursive;
    font-size: 1.6em;
}
/*navbar */
.navbar{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: space-between;
    align-items: center;
}
#logo{
    display: flex;
    align-items: center;
    gap: 1vw; 
}
.navbar img{
    width: auto;;
    height: 5vw;
}
#nav-text{
    font-weight: bold;
    font-size: 1.2em;
}
#nav-btns{
    display: flex;
    gap: 2vw;
    list-style: none;
    justify-content: flex-end;
}
#nav-btns a{
    text-decoration: none;
    color: black;
    font-weight: bold;
    padding: .2em;
    border-radius: 30px;
    transition: color 0.3s, background-color 0.5s;
}
#nav-btns a:hover{
    background-color: #66B100;
    color: white;
}

/*Hero Section*/
.hero{
    display: grid;
    justify-content: center;
    align-items: center;
    background-color: rgba(102, 177, 0, 0.10);
    grid-template-columns: repeat(2, 1fr);
    padding: 2vw;
    padding-bottom: 5vh;
    gap: 2vw;
    border-radius: 30px;
    margin: 1;
    text-align: center;
    object-fit: cover;
    box-sizing: border-box;

}

.hero-image{
    border-radius: 30px 30px 50% 50%;
    width: 60vh;
    height: auto;
    max-height: 70vh;
    object-fit: cover;
}

#hero-img{
    display: grid;
    grid-template-columns: 1fr;
    justify-content: center;
    align-items: center;
    grid-column: span 1;
    margin: 0 auto;
}
#hero-image-caption{
    background-color: rgba(102, 177, 0);
    border-radius: 30px;
    padding: 0 0.5vw;
    margin-top: 1vw;
    display: grid;
    grid-template-columns: 1fr;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.hero-text{
    text-align: center;
    font-size: 1.4em;
    grid-column: span 1;
    padding: 1vw;
}

/* Button Styles */
.book-btn{
    background-color: #66B100;
    color: black;
    padding: 0.5em 1em;
    border-radius: 30px;
    text-decoration: none;
    font-weight: bold;
    transition: transform 0.5s ease;
    border: none;
    font-family: 'Island Moments', cursive;
    font-size: 1.2em;
    cursor: pointer;
}

.book-btn:hover {
    transform: scale(1.1);
    color: white;
}

/* Testimonials Section */
#testimonials{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2vw;
}
#testimonial-header{
    grid-column: span 3;
    text-align: center;
    padding: 2vw
}
.testimonial{
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: rgba(102, 177, 0, 0.10);
    border-radius: 20px;
    padding: 2vw;
}
.t-profile{
    position: relative;
    top: -5vw;
    width: 10vw;
    height: 10vw;
    border-radius: 50%;
    background-color: #D9D9D9;
    display: flex;
    justify-content: center;
    align-items: center;
}
.t-profile p {
    color: white;
    font-family: Arial, sans-serif;
    font-weight: bold;
    font-size: 1em;
    text-align: center;
}

/* Bottom button */
#bottom-btn{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2vw;
}

/* Footer */
footer{
    display: flex;
    background-color: #66B100;
    color: black;
    justify-content: space-evenly;
    align-items: center;
    padding: 1vw;
    margin: 3vw;
    text-align: center ;
    border-radius: 20px;;
}
footer a{
    color: black;
    text-decoration: none;
    font-weight: bold;
    border-radius: 30px;
    transition: background-color 0.3s, color 0.3s;
    width: 100%;
    transition: transform 0.5s ease;
}
footer a:hover{
    transform: scale(1.1);
    color: white;
}

/* Activities Page */
.activities h1{
    text-align: center;
    margin-bottom: 1em;
}
.activity{
    display: flex;
    align-items: center;
    background-color: rgba(102, 177, 0, 0.10);
    border-radius: 30px;
    padding: 2vw;
    margin: 2vw 0;
    gap: 2vw;
    text-align: center;
    justify-content: center;
}
.activity img {
    width: 20vw;
    height: 25vw;
    border-radius: 0px;
    margin-right: 2vw;
    object-fit: cover;
    border-radius: 20px;
}
.image-container {
    width: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 2vw;
}
.book-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2vw;
    border-radius: 20px;
}

/* Rooms Page */
.rooms-introduction {
    text-align: center;
    margin-bottom: 2vw;
    font-size: 1.4em;
}
.room{
    display: flex;
    align-items: center;
    padding: 2vw;
    background-color: rgba(102, 177, 0, 0.10);
    border-radius: 20px;
    margin: 2vw 0;
    gap: 2vw;
}
.room-image-container {
    width: 50%;
    margin-right: 2vw;
}
.room-image{
    width: 100%
}
.room-text{
    width: 50%;
text-align: center;}
#studio-image{
    border-radius: 0 50% 50% 0 ;
}
#double-image{
    border-radius: 50% 0 0 50%;
}

/* Gallery Page */
.studio_gallery, .double_gallery, .life_pictures {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1vw;
}
.gallery_picture_container {
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1vw;
    object-fit: cover;
}
.studio_container, .double_container, .life_container {
    padding: 1vw;
    background-color: rgba(102, 177, 0, 0.10);
    border-radius: 20px;
    margin: 2vh;
    gap: 1vw;
}

.gallery_picture{
    width: 100%;
    border-radius: 30px;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease;
    cursor: pointer;
}
.gallery_picture:hover {
    transform: scale(1.05);
    transition: transform 0.3s ease;
}
main{
    text-align: center;
}
.img_overlay {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    height: 90%;
    border-radius: 30px;
    z-index: 9999;
    background-color: rgba(255, 255, 255, 0.9);
    padding: 3vw;
}
#btn_overlay {
    position: absolute;
    top: 2vw;
    right: 1vw;
    background-color: transparent;
    border: none;
    font-size: 2em;
    color: black;
    cursor: pointer;
    transition: color 0.3s;
}
#btn_overlay:hover {
    color: red;
}
#overlay_img {
    max-width: 80%;
    height: auto;
    object-fit: cover;
    border-radius: 30px;
    max-height: 80vh;
}
.img_overlay h3 {
    text-align: center;
    color: black;
    font-size: 1.5em;
    margin-top: 1em;
    background-color: rgba(102, 177, 0);
    border-radius: 30px;
}

/* Responsive Design */
#hamburger {
    display: none;
    cursor: pointer;
    font-size: 2em;
    color: black;
    text-align: right;
}

@media screen and (max-width: 768px) {
    html, body{
        max-width: 100%;
        overflow-x: hidden;
    }
    .navbar{
        grid-template-columns: repeat(2, auto);
    }
    #hamburger {
        display: block;
        height: 50px;
        width: 40px;
        margin-left: auto;
        position: relative;
    }
    #hamburger span{
        height: 5px;
        width: 100%;
        background-color: black;
        border-radius: 25px;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        transition: .3s ease;
    }
    #hamburger span:nth-child(1) {
    top: 25%;
    }
    #hamburger span:nth-child(3) {
        top: 75%;
    }
    #hamburger.active span:nth-child(1) {
        top: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
    }
    #hamburger.active span:nth-child(2) {
        opacity: 0;
    }
    #hamburger.active span:nth-child(3) {
        top: 50%;
        transform: translate(-50%, -50%) rotate(-45deg);
    }
    #nav-btns {
        font-size: 1.6em;
        text-align: center;
        width: 80%;
        position: fixed;
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 5vw;
        flex-direction: column;
        background-color: #66B100;
        height: 100vh;
        max-width: 450px;
        top: 0;
        left: -450px;
        transition: left 0.3s ease-in-out;
        z-index: 1000;
    }
    #nav-btns.active {
        left: 0;
    }
    .hero{
        grid-template-columns: 1fr;
        padding: 1vw;
        padding-bottom: 5vh;
        padding-top: 2vh;
        justify-content: center;
        align-items: center;
    }
    .hero-image{
        max-width: 100%;
        height: auto;

    }
    #hero-img{
        max-width: 90%;
}
    #hero-image-caption{
        display: none;
    }
    #testimonials{
        display: flex;
        flex-direction: column;
        
    }
    .testimonial{
        margin-bottom: 5vw;
        max-width: 400px;
        justify-content: center;
        align-self: center;
    }
    footer{
        flex-direction: column;
        gap: 2vw;
    }
    .activity {
        flex-direction: column;
        text-align: center;
        justify-content: center;
        align-items: center;
    }

    .activity img {
        order: 2;
        width: 60vw;
        height: auto;
        margin: 0 auto;
    }

    .activity-text {
        order: 1;
    }
    .room{
        flex-direction: column;
        text-align: center;
        justify-content: center;
        align-items: center;
    }
    .room-image-container, .room-text {
        width: 100%;
        margin: 0;
    }
    .room-image-container {
        order: 1;
    }
    .room-text {
        order: 2;
    }
    #studio-image, #double-image {
        border-radius: 30px;
    }
    .studio_gallery, .double_gallery, .life_pictures {
        grid-template-columns: 1fr;
    }

main{
    font-weight: 1.4em;
}
}